Create a Knowledge Base Entry
- Base URL
-
https://{kibana_url}
- POST /api/security_ai_assistant/knowledge_base/entries
- POST /s/{space_id}/api/security_ai_assistant/knowledge_base/entries
Refer to Spaces for more information.
Create a Knowledge Base Entry
Authentication
Authorization: <value>
You must create an API key and use the encoded value in the request header. To learn about creating keys, go to API keys.
Request body
type: document
type: index
-
usersobject[] -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
descriptionstringrequired -
Description for when this index or data stream should be queried for Knowledge Base content. Passed to the LLM as a tool description.
-
queryDescriptionstringrequired -
Description of query field used to fetch Knowledge Base content. Passed to the LLM as part of the tool input schema.
Responses
Successful request returning Knowledge Base Entries
type: document
type: index
-
usersobject[]required -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters.
-
descriptionstringrequired -
Description for when this index or data stream should be queried for Knowledge Base content. Passed to the LLM as a tool description.
-
queryDescriptionstringrequired -
Description of query field used to fetch Knowledge Base content. Passed to the LLM as part of the tool input schema.